const INIFileName='.\EZStream.ini';

procedure TMainForm.LoadConfig;
  procedure aplf(Control:TCustomComboBox;const Value:string);
  var Index:integer;
  begin
    Index:=Control.Items.IndexOf(Value);
    if Index>=0 then Control.ItemIndex:=Index;
  end;
begin
  with TINIFile.Create(INIFileName) do begin
    aplf(CDevices    ,  ReadString('Format','Device',''));
    aplf(CSampleRate ,  ReadString('Format','SampleRate',''));
    aplf(CChannels   ,  ReadString('Format','Channels',''));
    aplf(CMode       ,  ReadString('Format','Mode',''));
    aplf(CBitrate    ,  ReadString('Format','Bitrate',''));
    with CVBRQuality do Position:=ReadInteger('Format','VBRQuality',Position);
    aplf(CQuality    ,  ReadString('Format','Quality',''));
    with COutFile    do Checked:=ReadBool('FileOutput','Enabled',Checked);
    with CTimeStamp  do Checked:=ReadBool('FileOutput','TimeStamp',Checked);
    with EOutFile    do Text:=ReadString('FileOutput','FileName',Text);
    with COutStream  do Checked:=ReadBool('StreamOutput','Enabled',Checked);
    with EPort       do Text:=ReadString('StreamOutput','Port',Text);
    with EStreamName do Text:=ReadString('StreamOutput','Name',Text);
    Free;
  end;
end;

procedure TMainForm.SaveConfig;
begin
  with TINIFile.Create(INIFileName) do begin
    with CDevices    do WriteString('Format','Device',Items[ItemIndex]);
    with CSampleRate do WriteString('Format','SampleRate',Items[ItemIndex]);
    with CChannels   do WriteString('Format','Channels',Items[ItemIndex]);
    with CMode       do WriteString('Format','Mode',Items[ItemIndex]);
    with CBitrate    do WriteString('Format','Bitrate',Items[ItemIndex]);
    with CVBRQuality do WriteInteger('Format','VBRQuality',Position);
    with CQuality    do WriteString('Format','Quality',Items[ItemIndex]);
    with COutFile    do WriteBool('FileOutput','Enabled',Checked);
    with CTimeStamp  do WriteBool('FileOutput','TimeStamp',Checked);
    with EOutFile    do WriteString('FileOutput','FileName',Text);
    with COutStream  do WriteBool('StreamOutput','Enabled',Checked);
    with EPort       do WriteString('StreamOutput','Port',Text);
    with EStreamName do WriteString('StreamOutput','Name',Text);
    Free;
  end;
end;


